curl -X POST https://beta-avallon.onrender.com/api/sites/mirror \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"url": "https://example.com",
"downloadImages": true,
"downloadFonts": true,
"maxPages": 10,
"maxDepth": 3
}'
Endpoints
Import Website
Import an existing website
curl -X POST https://beta-avallon.onrender.com/api/sites/mirror \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"url": "https://example.com",
"downloadImages": true,
"downloadFonts": true,
"maxPages": 10,
"maxDepth": 3
}'